Subject: [Fot] GT6 Crankshaft

From: Jeff Clark <[email-masked]>
Date: Mon, 11 Nov 2013 14:34:19 -0500 FILETIME=[04457090:01CEDF15]

This question is for the the Gt6 crowd .We have decided that after Road
America and seeing what a Gt6 race car is capable of this winter along with
rebuilding the rear hubs using Datsun bits we are going to build another
engine. What is eveyone using for the bottem end ,pistons,rods
crank,flywheel?
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive